Bug 222246 - multimedia/avidemux-qt4 does not build with gcc-6.4.0
Summary: multimedia/avidemux-qt4 does not build with gcc-6.4.0
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL: https://reviews.freebsd.org/D12178
Keywords:
Depends on:
Blocks: 219280
  Show dependency treegraph
 
Reported: 2017-09-12 01:35 UTC by Jack
Modified: 2018-07-09 13:28 UTC (History)
5 users (show)

See Also:
riggs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2017-09-12 01:35:26 UTC
multimedia/avidemux-qt4 does not build with gcc-6.4.0
Comment 1 Grzegorz Junka 2017-09-26 21:19:40 UTC
I am also seeing the same problem. Does it mean that it's already fixed upstream?
Comment 2 Thomas Zander freebsd_committer 2017-10-08 10:40:15 UTC
The multimedia/avidemux port is actually fairly outdated. The current upstream version is 2.7.0 while the version in the ports tree is at 2.6.11.

It would be very appreciated if an avid avidemux user stepped up and submitted an update of the port.
Comment 3 Mikael Urankar freebsd_committer 2017-10-08 13:10:10 UTC
I've started to work on it:
https://github.com/MikaelUrankar/avidemux
Comment 4 Thomas Zander freebsd_committer 2017-10-14 08:32:16 UTC
(In reply to mikael.urankar from comment #3)

Let me know when this is ready for test-drive.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2018-06-21 06:25:05 UTC
ping?
Comment 6 Thomas Zander freebsd_committer 2018-07-09 13:28:59 UTC
Compiles successfully in my tests. Please re-open with attached poudriere log in case this is still an issue in a particular configuration.